Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.rdf.arp
Interface ARPConfig

All Known Implementing Classes:
  ARP, DOM2Model, SAX2Model, SAX2RDF

    public interface ARPConfig

Used to set event handlers and options on `ARP`, `SAX2Model`, and `SAX2RDF` instances.

Author:
  Jeremy J. Carroll

Method Summary
`ARPHandlers` | `getHandlers()` The handlers used during parsing.
`ARPOptions` | `getOptions()` The options used during parsing.
`void` | `setHandlersWith(ARPHandlers handlers)` Copies the handlers from the argument to be used by this instance.
`void` | `setOptionsWith(ARPOptions opts)` Copies the options from the argument to be used by this instance.

Method Detail

### getHandlers

    ARPHandlers getHandlers()

  The handlers used during parsing. The handlers can be changed by calling this method and then using the `set..Handler` methods in `ARPHandlers`. The handlers can be copied onto another ARP instance using the `setHandlersWith(com.hp.hpl.jena.rdf.arp.ARPHandlers)` method.

  Returns:
    The handlers used during parsing.
  See Also:
    `ARPHandlers.setStatementHandler(StatementHandler)`, `ARPHandlers.setErrorHandler(ErrorHandler)`, `ARPHandlers.setExtendedHandler(ExtendedHandler)`, `ARPHandlers.setNamespaceHandler(NamespaceHandler)`, `setHandlersWith(com.hp.hpl.jena.rdf.arp.ARPHandlers)`

### setHandlersWith

    void setHandlersWith(ARPHandlers handlers)

  Copies the handlers from the argument to be used by this instance. To make further modifications it is necessary to call `getHandlers()` to retrieve this instance's copy of the handler information.

  Parameters:
    `handlers` - The new values to use.

### getOptions

    ARPOptions getOptions()

  The options used during parsing. The options can be changed by calling this method and then using the `set..` methods in `ARPOptions`. The options can be copied onto another ARP instance using the `setOptionsWith(com.hp.hpl.jena.rdf.arp.ARPOptions)` method.

  Returns:
    The handlers used during parsing.
  See Also:
    `ARPOptions.setDefaultErrorMode()`, `ARPOptions.setLaxErrorMode()`, `ARPOptions.setStrictErrorMode()`, `ARPOptions.setStrictErrorMode(int)`, `ARPOptions.setEmbedding(boolean)`, `ARPOptions.setErrorMode(int, int)`, `setOptionsWith(com.hp.hpl.jena.rdf.arp.ARPOptions)`

### setOptionsWith

    void setOptionsWith(ARPOptions opts)

  Copies the options from the argument to be used by this instance. To make further modifications it is necessary to call `getOptions()` to retrieve this instance's copy of the options.

  Parameters:
    `opts` - The new values to use.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP